commit: f3ffa3586a7ac808afaca31e9a7add2faf3f5efc
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 22 13:42:58 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 22 15:27:19 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3ffa358
dev-python/python-swiftclient: Bump to 4.8.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/python-swiftclient/Manifest | 1 +
.../python-swiftclient-4.8.0.ebuild | 39 ++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/dev-python/python-swiftclient/Manifest
b/dev-python/python-swiftclient/Manifest
index 6f6177f306b3..4266b37cf2cd 100644
--- a/dev-python/python-swiftclient/Manifest
+++ b/dev-python/python-swiftclient/Manifest
@@ -1 +1,2 @@
DIST python_swiftclient-4.7.0.tar.gz 209719 BLAKE2B
aa4155b1299fbd740e94509b13ba4c295375dbe45bf50c727ddc31e464fb1d25925fc6aa6c2aea8dffc97ecd435dfcf24ef36cfaecaa661555c34088c353626d
SHA512
07ab49421260f4537d5a3093557e76cce05db1f4caa99cb54fd5f7fdd8129b73473566005d9f28e7b4fc86348f642f207b3f28cbab10da36f3c656001e86a61a
+DIST python_swiftclient-4.8.0.tar.gz 210041 BLAKE2B
3f1d58509dc13219092d01f9063cdeb854406072810bc1fee7a6e0ce3a4e4507feac04f4c9b9c36b1b2f7c64c90a06e8a58a630b1d1373670f5e3a11c47adf60
SHA512
2cf457184b37d1f3236b9d2b5cc86caef9578dd984a75150980c8b046d84ece1f4688aad49f5f1bdb36cd36fc69bdb8565dfdba49387d8eb667aff520af4d14e
diff --git a/dev-python/python-swiftclient/python-swiftclient-4.8.0.ebuild
b/dev-python/python-swiftclient/python-swiftclient-4.8.0.ebuild
new file mode 100644
index 000000000000..e1ab680612d7
--- /dev/null
+++ b/dev-python/python-swiftclient/python-swiftclient-4.8.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings to the OpenStack Object Storage API"
+HOMEPAGE="
+ https://opendev.org/openstack/python-swiftclient/
+ https://github.com/openstack/python-swiftclient/
+ https://pypi.org/project/python-swiftclient/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/keystoneauth1-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-0.11.0[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-0.7.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ sed -e 's/test_password_prompt/_&/' -i test/unit/test_shell.py || die
+ distutils-r1_python_prepare_all
+}